Bug 434534 - notecase failed massrebuild attempt for GCC 4.3
notecase failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: notecase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:34 EST by Jesse Keating
Modified: 2013-01-09 22:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 00:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix the build (6.07 KB, patch)
2008-03-27 00:21 EDT, Christopher Aillon
no flags Details | Diff

  None (edit)
Description Jesse Keating 2008-02-22 11:34:21 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=452297
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jesse Keating 2008-02-22 17:14:21 EST
Putting this back on the tracker until it gets triaged.  Please don't remove it.
Comment 2 Henning Norén 2008-02-22 17:51:59 EST
===> Compiling src/OptionsDialog.cpp
./src/callbacks.cpp: In function 'gint treeview_keyboard_handler(GtkWidget*,
GdkEventKey*)':
./src/callbacks.cpp:1642: error: 'abs' was not declared in this scope
./src/callbacks.cpp: In function 'void on_menu_insert_date_time(GtkMenuItem*,
void*)':
./src/callbacks.cpp:3349: error: 'abs' was not declared in this scope
./src/callbacks.cpp:3388: error: 'abs' was not declared in this scope
./src/callbacks.cpp: In function 'bool autosave_check_crash()':
./src/callbacks.cpp:3612: error: 'atoi' was not declared in this scope
In file included from ./src/interface.cpp:48:
./src/../res/internal_blank.xpm:30: warning: deprecated conversion from string 

...

./src/../res/internal_recycle.xpm:25: warning: deprecated conversion from string
constant to 'char*'
make: *** [bin/callbacks.o] Error 1
make: *** Waiting for unfinished jobs....
./src/DocActionSort.cpp: In member function 'bool
SortComparator::operator()(const int&, const int&)':
./src/DocActionSort.cpp:41: error: 'strcasecmp' was not declared in this scope
make: *** [bin/DocActionSort.o] Error 1
./src/main.cpp: In function 'const char* GetIniFile()':
./src/main.cpp:69: error: 'getenv' was not declared in this scope
./src/main.cpp: In function 'std::string GetHelpFile()':
./src/main.cpp:87: error: 'getenv' was not declared in this scope
./src/main.cpp: In function 'void lock_process_memory()':
./src/main.cpp:246: error: 'exit' was not declared in this scope
./src/main.cpp: In function 'int main(int, char**)':
./src/main.cpp:270: error: 'exit' was not declared in this scope
./src/main.cpp:418: error: 'atoi' was not declared in this scope
./src/main.cpp:427: error: 'atoi' was not declared in this scope
make: *** [bin/main.o] Error 1
Comment 3 Christopher Aillon 2008-03-27 00:21:11 EDT
Created attachment 299265 [details]
Fix the build

This patch fixes the build against gcc 4.3
Comment 4 Christopher Aillon 2008-03-27 00:30:18 EDT
Committed and built successfully.
http://koji.fedoraproject.org/koji/buildinfo?buildID=44011

Note You need to log in before you can comment on or make changes to this bug.